<?php
namespace unzer_direct;

require_once _SRV_WEBROOT . _SRV_WEB_PLUGINS . 'unzer_direct/classes/base/API/Client.php';
require_once _SRV_WEBROOT . _SRV_WEB_PLUGINS . 'unzer_direct/classes/base/API/Request.php';

class QuickPayBase
{
    /**
     * Contains the QuickPay_Request object
     *
     * @access public
     * @var Request
     */
    public $request;

    /**
     * __construct function.
     *
     * Instantiates the main class.
     * Creates a client which is passed to the request construct.
     *
     * @auth_string string Authentication string for QuickPay
     *
     * @access public
     */
    public function __construct($auth_string = '', $additional_headers = array())
    {
        $client = new Client($auth_string, $additional_headers);
        $this->request = new Request($client);
    }

    /**
     * Add additional headers to request.
     *
     * This could be used when need to test a callback url in dev mode
     *
     *      QuickPay-Callback-Url: http://text.url/callback
     *
     * @access public
     */
    public function setHeaders($additional_headers = array())
    {
        $this->request->client->setHeaders($additional_headers);
    }
}
